WHEREIS(1)

NOM
whereis - Rechercher les fichiers exécutables, les sources et les pages de manuel d'une commande

SYNOPSIS
whereis [options] [-BMS répertoire ... -f] nom ...

DESCRIPTION
whereis recherche les fichiers binaires, de source et de manuel pour les noms de commande indiqués. Les noms des fichiers sont obtenus en supprimant le chemin d'accès et les extensions (uniques) éventuelles de la forme .ext (par exemple .c). Les préfixes de la forme s. utilisés pour le contrôle du code source sont également pris en charge. whereis recherche le programme demandé aux endroits normalisés de Linux et aux endroits indiqués par $PATH et $MANPATH.

Les restrictions de recherche (option -b, -m et -s) sont cumulatives et s’appliquent aux motifs nom suivants sur la ligne de commande. Toute nouvelle restriction de recherche réinitialise le masque de recherche. Par exemple,

    whereis -bm ls tr -m gcc

recherche les binaires et pages de manuel pour « ls » et « tr », mais seulement les pages de manuel pour « gcc ».

Les options -B, -M et -S réinitialisent les chemins de recherche pour les motifs nom suivants. Par exemple,

    whereis -m ls -M /usr/share/man/man1 -f cal

recherche les pages de manuel « ls » dans tous les chemins par défaut, mais seulement dans le répertoire /usr/share/man/man1 pour « cal ».

OPTIONS

-b
Chercher les exécutables.

-m  Chercher les manuels.

-s  Chercher les sources.

-u  Ne montrer que les noms de commande qui ont des entrées inhabituelles. Une commande est dite inhabituelle si elle n’a pas une seule entrée pour chaque type demandé explicitement. Ainsi, « whereis -m -u * » recherche les fichiers du répertoire actuel qui n'ont soit pas de fichier de documentation, soit plus d’un.

-B liste
    Limiter les répertoires où whereis cherche les exécutables, à l’aide d’une liste de répertoires séparés par des espaces.

-M liste
    Limiter les répertoires où whereis cherche les manuels et la documentation au format Info, à l’aide d’une liste de répertoires séparés par des espaces.

-S liste
    Limiter les répertoires où whereis cherche les sources, à l’aide d’une liste de répertoires séparés par des espaces.

-f  Terminer la liste de répertoires et signaler le début des noms de fichiers. Cette option est obligatoire quand une des options -B, -M ou -S est utilisée.

-l  Afficher la liste des chemins effectifs de recherche que whereis utilise. Si ni -B, ni -M ni -S ne sont indiquées, les chemins codés en dur que la commande a pu trouver sur le système seront affichés.

EXEMPLE
Pour trouver tous les fichiers dans /usr/bin non documentés dans /usr/share/man/man1 ou sans source dans /usr/src :

    cd /usr/bin
    whereis -u -ms -M /usr/share/man/man1 -S /usr/src -f *

CHEMINS DE RECHERCHE DE FICHIERS
Par défaut, whereis essaye de trouver les fichiers définis avec des motifs joker, dans les chemins codés en dur. La commande tente d’utiliser le contenu des variables d’environnement $PATH et $MANPATH comme chemins de recherche par défaut. La façon la plus facile de connaître les chemins utilisés est d’ajouter l’option d’affichage -l. Les effets de -B, -M et -S sont affichés avec -l.

ENVIRONNEMENT

WHEREIS_DEBUG=all
    Activer la sortie de débogage.

DISPONIBILITÉ
La commande whereis fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Michel Quercia en 1997. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.